/* strncat - append at most n characters of string src to dst */

#include <string.h>

char *
strncat (char *dst, const char *src, size_t n)
{
    char *dscan;
    const char *sscan;
    size_t count;

    for (dscan = dst; *dscan != '\0'; dscan++)
	continue;
    sscan = src;
    count = n + 1;		/* extra so predecrement tests remainder */
    while (*sscan != '\0' && --count > 0)
	*dscan++ = *sscan++;
    *dscan++ = '\0';
    return(dst);
}
