#include <string.h>

char *
strncpy (char *dst, const char *src, size_t n)
{
    char *dscan;
    const char *sscan;
    size_t count;

    dscan = dst;
    sscan = src;
    count = n + 1;		/* extra so predecrement tests remainder */
    while (--count > 0 && (*dscan++ = *sscan++) != '\0')
	continue;
    if (count <= 0)
	return(dst);	/* so next loop works with unsigned size_t */ 
    while (--count > 0)
	*dscan++ = '\0';
    return(dst);
}
