#include <plib.h>
#include <unistd.h>

/*
**	The chdir() function causes the directory named by 'path' to
**	become the current working directory.
**
**	Returns:
**		0 on success and -1 on failure.
**
**	Errors:
**		EACCESS, ENAMETOOLONG, ENOENT, ENOTDIR
**/
int
chdir (const char *path)
{
	return p_setpth(path);
}
