#include <plib.h>
#include <unistd.h>

/*
**	The sleep() function causes the current process to be suspended
**	until 'seconds' have elapsed or a signel is delivered.
**
**	Returns:
**		0 is returned if the requested time has elapsed.
**
**		If sleep() is interrupted by a signel, the number of
**		unslept seconds is returned.
**/
unsigned int
sleep (unsigned int seconds)
{
	return p_sleep(10UL * seconds);
}
