#include <plib.h>
#include <stdlib.h>

long
strtol (const char *nptr, char **endptr, int base)
{
    unsigned long value;
    int negative = 0;
    while (p_isspace(*nptr))
	nptr++;
    switch(*nptr) {
      case '-':
	negative++;
	/*FALLTHRU*/
      case '+':
	nptr++;
        break;
      default:
	break;
    }
    if (p_stogl (&nptr, &value, base) < 0) {
	return 0;
    }
    if (endptr)
	*endptr = (char *)nptr;
    return  negative ? -(int)value : (int)value;
}
